(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/forms'), require('@angular/material/button'), require('@angular/material/checkbox'), require('@angular/material/dialog'), require('@angular/material/input'), require('@angular/material/progress-bar'), require('@angular/material/progress-spinner'), require('@angular/material/select'), require('@angular/material/tooltip'), require('@dialog/dialog.module'), require('@authentication/model/authentication.service.config'), require('@authentication/services/authentication.service'), require('@authentication/components/login/login.component'), require('@authentication/components/login-form/login-form.component'), require('@authentication/model/authentication-token'), require('@dialog/components/_dialog/dialog.component'), require('@dialog/components/confirmation-dialog/confirmation-dialog.component'), require('@dialog/components/input-dialog/input-dialog.component'), require('@dialog/components/message-dialog/message-dialog.component'), require('@dialog/model/confirmation-dialog-mode.enum'), require('@email/model/email.service.config'), require('@email/services/email.service'), require('@email/model/email'), require('@employee/model/employee.service.config'), require('@employee/services/employee.service'), require('@employee/pipes/departments.pipe'), require('@employee/pipes/employee-by-dn.pipe'), require('@employee/pipes/employee-photo-url.pipe'), require('@employee/pipes/employees-with-property-value.pipe'), require('@employee/pipes/filter-employees.pipe'), require('@employee/pipes/is-member-of.pipe'), require('@employee/pipes/sort-employees.pipe'), require('@employee/model/employee'), require('@angular/platform-browser/animations'), require('@angular/common/http'), require('@angular/material/list'), require('@upload/model/upload.service.config'), require('@upload/services/upload.service'), require('@upload/components/upload-dialog/upload-dialog.component'), require('@upload/components/upload/upload.component'), require('@upload/model/database-file-info'), require('@upload/model/file-upload-request'), require('@upload/model/filesystem-file-info'), require('@sharepoint/model/sharepoint.service.config'), require('@sharepoint/services/sharepoint.service'), require('@sharepoint/pipes/sharepoint-photo-url.pipe'), require('@sharepoint/pipes/sharepoint-url.pipe'), require('@sharepoint/model/sharepoint-calendar-event'), require('@sharepoint/model/sharepoint-customer-visit'), require('@sharepoint/model/sharepoint-employee-picture'), require('@sharepoint/model/sharepoint-list'), require('@sharepoint/model/sharepoint-list-item'), require('@sharepoint/model/sharepoint-person'), require('@sharepoint/model/sharepoint-picture')) :
    typeof define === 'function' && define.amd ? define('@cleavelandprice/ngx-lib', ['exports', '@angular/core', '@angular/common', '@angular/forms', '@angular/material/button', '@angular/material/checkbox', '@angular/material/dialog', '@angular/material/input', '@angular/material/progress-bar', '@angular/material/progress-spinner', '@angular/material/select', '@angular/material/tooltip', '@dialog/dialog.module', '@authentication/model/authentication.service.config', '@authentication/services/authentication.service', '@authentication/components/login/login.component', '@authentication/components/login-form/login-form.component', '@authentication/model/authentication-token', '@dialog/components/_dialog/dialog.component', '@dialog/components/confirmation-dialog/confirmation-dialog.component', '@dialog/components/input-dialog/input-dialog.component', '@dialog/components/message-dialog/message-dialog.component', '@dialog/model/confirmation-dialog-mode.enum', '@email/model/email.service.config', '@email/services/email.service', '@email/model/email', '@employee/model/employee.service.config', '@employee/services/employee.service', '@employee/pipes/departments.pipe', '@employee/pipes/employee-by-dn.pipe', '@employee/pipes/employee-photo-url.pipe', '@employee/pipes/employees-with-property-value.pipe', '@employee/pipes/filter-employees.pipe', '@employee/pipes/is-member-of.pipe', '@employee/pipes/sort-employees.pipe', '@employee/model/employee', '@angular/platform-browser/animations', '@angular/common/http', '@angular/material/list', '@upload/model/upload.service.config', '@upload/services/upload.service', '@upload/components/upload-dialog/upload-dialog.component', '@upload/components/upload/upload.component', '@upload/model/database-file-info', '@upload/model/file-upload-request', '@upload/model/filesystem-file-info', '@sharepoint/model/sharepoint.service.config', '@sharepoint/services/sharepoint.service', '@sharepoint/pipes/sharepoint-photo-url.pipe', '@sharepoint/pipes/sharepoint-url.pipe', '@sharepoint/model/sharepoint-calendar-event', '@sharepoint/model/sharepoint-customer-visit', '@sharepoint/model/sharepoint-employee-picture', '@sharepoint/model/sharepoint-list', '@sharepoint/model/sharepoint-list-item', '@sharepoint/model/sharepoint-person', '@sharepoint/model/sharepoint-picture'], factory) :
    (global = global || self, factory((global.cleavelandprice = global.cleavelandprice || {}, global.cleavelandprice['ngx-lib'] = {}), global.ng.core, global.ng.common, global.ng.forms, global.ng.material.button, global.ng.material.checkbox, global.ng.material.dialog, global.ng.material.input, global.ng.material.progressBar, global.ng.material.progressSpinner, global.ng.material.select, global.ng.material.tooltip, global.dialog.module, global.authentication.service.config, global.authentication.service, global.login.component, global['login-form'].component, global['authentication-token'], global.dialog.component, global['confirmation-dialog'].component, global['input-dialog'].component, global['message-dialog'].component, global['confirmation-dialog-mode_enum'], global.email.service.config, global.email.service, global.email, global.employee.service.config, global.employee.service, global.departments.pipe, global['employee-by-dn'].pipe, global['employee-photo-url'].pipe, global['employees-with-property-value'].pipe, global['filter-employees'].pipe, global['is-member-of'].pipe, global['sort-employees'].pipe, global.employee, global.ng.platformBrowser.animations, global.ng.common.http, global.ng.material.list, global.upload.service.config, global.upload.service, global['upload-dialog'].component, global.upload.component, global['database-file-info'], global['file-upload-request'], global['filesystem-file-info'], global['sharepoint-service'].config, global.sharepoint.service, global['sharepoint-photo-url'].pipe, global['sharepoint-url'].pipe, global['sharepoint-calendar-event'], global['sharepoint-customer-visit'], global['sharepoint-employee-picture'], global['sharepoint-list'], global['sharepoint-list-item'], global['sharepoint-person'], global['sharepoint-picture']));
}(this, (function (exports, core, common, forms, button, checkbox, dialog, input, progressBar, progressSpinner, select, tooltip, dialog_module, authentication_service_config, authentication_service, login_component, loginForm_component, authenticationToken, dialog_component, confirmationDialog_component, inputDialog_component, messageDialog_component, confirmationDialogMode_enum, email_service_config, email_service, email, employee_service_config, employee_service, departments_pipe, employeeByDn_pipe, employeePhotoUrl_pipe, employeesWithPropertyValue_pipe, filterEmployees_pipe, isMemberOf_pipe, sortEmployees_pipe, employee, animations, http, list, upload_service_config, upload_service, uploadDialog_component, upload_component, databaseFileInfo, fileUploadRequest, filesystemFileInfo, sharepoint_service_config, sharepoint_service, sharepointPhotoUrl_pipe, sharepointUrl_pipe, sharepointCalendarEvent, sharepointCustomerVisit, sharepointEmployeePicture, sharepointList, sharepointListItem, sharepointPerson, sharepointPicture) { 'use strict';

    //#region Imports
    //#endregion
    var AuthenticationModule = /** @class */ (function () {
        function AuthenticationModule(parentModule) {
            if (parentModule) {
                throw new Error('AuthenticationModule is already loaded. Import it in the AppModule only');
            }
        }
        AuthenticationModule.forRoot = function (authenticationConfig) {
            return {
                ngModule: AuthenticationModule,
                providers: [
                    authentication_service.AuthenticationService,
                    { provide: authentication_service_config.AuthenticationServiceConfig, useValue: authenticationConfig }
                ]
            };
        };
        return AuthenticationModule;
    }());
    AuthenticationModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        forms.FormsModule,
                        button.MatButtonModule,
                        checkbox.MatCheckboxModule,
                        dialog.MatDialogModule,
                        input.MatInputModule,
                        progressBar.MatProgressBarModule,
                        progressSpinner.MatProgressSpinnerModule,
                        tooltip.MatTooltipModule,
                        select.MatSelectModule,
                        dialog_module.DialogModule
                    ],
                    declarations: [
                        login_component.LoginComponent,
                        loginForm_component.LoginFormComponent
                    ],
                    exports: [
                        login_component.LoginComponent,
                        loginForm_component.LoginFormComponent
                    ],
                    providers: [],
                    entryComponents: [
                        loginForm_component.LoginFormComponent
                    ]
                },] }
    ];
    AuthenticationModule.ctorParameters = function () { return [
        { type: AuthenticationModule, decorators: [{ type: core.Optional }, { type: core.SkipSelf }] }
    ]; };

    //#region Imports
    //#endregion
    var DialogModule = /** @class */ (function () {
        function DialogModule() {
        }
        return DialogModule;
    }());
    DialogModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        forms.FormsModule,
                        button.MatButtonModule,
                        checkbox.MatCheckboxModule,
                        input.MatInputModule,
                        dialog.MatDialogModule
                    ],
                    declarations: [
                        dialog_component.DialogComponent,
                        confirmationDialog_component.ConfirmationDialogComponent,
                        inputDialog_component.InputDialogComponent,
                        messageDialog_component.MessageDialogComponent
                    ],
                    exports: [
                        confirmationDialog_component.ConfirmationDialogComponent,
                        inputDialog_component.InputDialogComponent,
                        messageDialog_component.MessageDialogComponent
                    ],
                    entryComponents: [
                        confirmationDialog_component.ConfirmationDialogComponent,
                        inputDialog_component.InputDialogComponent,
                        messageDialog_component.MessageDialogComponent
                    ]
                },] }
    ];

    //#region Imports
    //#endregion
    var EmailModule = /** @class */ (function () {
        function EmailModule(parentModule) {
            if (parentModule) {
                throw new Error('EmailModule is already loaded. Import it in the AppModule only');
            }
        }
        EmailModule.forRoot = function (emailConfig) {
            return {
                ngModule: EmailModule,
                providers: [
                    email_service.EmailService,
                    { provide: email_service_config.EmailServiceConfig, useValue: emailConfig }
                ]
            };
        };
        return EmailModule;
    }());
    EmailModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [],
                    exports: []
                },] }
    ];
    EmailModule.ctorParameters = function () { return [
        { type: EmailModule, decorators: [{ type: core.Optional }, { type: core.SkipSelf }] }
    ]; };

    //#region Imports
    //#endregion
    var EmployeeModule = /** @class */ (function () {
        function EmployeeModule(parentModule) {
            if (parentModule) {
                throw new Error('EmployeeModule is already loaded. Import it in the AppModule only');
            }
        }
        EmployeeModule.forRoot = function (employeeConfig) {
            return {
                ngModule: EmployeeModule,
                providers: [
                    employee_service.EmployeeService,
                    { provide: employee_service_config.EmployeeServiceConfig, useValue: employeeConfig }
                ]
            };
        };
        return EmployeeModule;
    }());
    EmployeeModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [
                        departments_pipe.DepartmentsPipe,
                        employeeByDn_pipe.EmployeeByDnPipe,
                        employeesWithPropertyValue_pipe.EmployeesWithPropertyValuePipe,
                        filterEmployees_pipe.FilterEmployeesPipe,
                        isMemberOf_pipe.IsMemberOfPipe,
                        employeePhotoUrl_pipe.EmployeePhotoUrlPipe,
                        sortEmployees_pipe.SortEmployeesPipe
                    ],
                    exports: [
                        departments_pipe.DepartmentsPipe,
                        employeeByDn_pipe.EmployeeByDnPipe,
                        employeesWithPropertyValue_pipe.EmployeesWithPropertyValuePipe,
                        filterEmployees_pipe.FilterEmployeesPipe,
                        isMemberOf_pipe.IsMemberOfPipe,
                        employeePhotoUrl_pipe.EmployeePhotoUrlPipe,
                        sortEmployees_pipe.SortEmployeesPipe
                    ]
                },] }
    ];
    EmployeeModule.ctorParameters = function () { return [
        { type: EmployeeModule, decorators: [{ type: core.Optional }, { type: core.SkipSelf }] }
    ]; };

    //#region Imports
    //#endregion
    var UploadModule = /** @class */ (function () {
        function UploadModule(parentModule) {
            if (parentModule) {
                throw new Error('UploadModule is already loaded. Import it in the AppModule only');
            }
        }
        UploadModule.forRoot = function (uploadConfig) {
            return {
                ngModule: UploadModule,
                providers: [
                    upload_service.UploadService,
                    { provide: upload_service_config.UploadServiceConfig, useValue: uploadConfig }
                ]
            };
        };
        return UploadModule;
    }());
    UploadModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        animations.BrowserAnimationsModule,
                        http.HttpClientModule,
                        button.MatButtonModule,
                        dialog.MatDialogModule,
                        list.MatListModule,
                        progressBar.MatProgressBarModule
                    ],
                    declarations: [
                        upload_component.UploadComponent,
                        uploadDialog_component.UploadDialogComponent
                    ],
                    exports: [
                        upload_component.UploadComponent,
                        uploadDialog_component.UploadDialogComponent
                    ],
                    entryComponents: [
                        uploadDialog_component.UploadDialogComponent
                    ]
                },] }
    ];
    UploadModule.ctorParameters = function () { return [
        { type: UploadModule, decorators: [{ type: core.Optional }, { type: core.SkipSelf }] }
    ]; };

    //#region Imports
    //#endregion
    var SharePointModule = /** @class */ (function () {
        function SharePointModule(parentModule) {
            if (parentModule) {
                throw new Error('SharePointModule is already loaded. Import it in the AppModule only');
            }
        }
        SharePointModule.forRoot = function (sharePointConfig) {
            return {
                ngModule: SharePointModule,
                providers: [
                    sharepoint_service.SharePointService,
                    { provide: sharepoint_service_config.SharePointServiceConfig, useValue: sharePointConfig }
                ]
            };
        };
        return SharePointModule;
    }());
    SharePointModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [
                        common.CommonModule
                    ],
                    declarations: [
                        sharepointPhotoUrl_pipe.SharePointPhotoUrlPipe,
                        sharepointUrl_pipe.SharePointUrlPipe
                    ],
                    exports: [
                        sharepointPhotoUrl_pipe.SharePointPhotoUrlPipe,
                        sharepointUrl_pipe.SharePointUrlPipe
                    ]
                },] }
    ];
    SharePointModule.ctorParameters = function () { return [
        { type: SharePointModule, decorators: [{ type: core.Optional }, { type: core.SkipSelf }] }
    ]; };

    var SafeUrlPipe = /** @class */ (function () {
        function SafeUrlPipe() {
        }
        SafeUrlPipe.prototype.transform = function (value) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            return null;
        };
        return SafeUrlPipe;
    }());
    SafeUrlPipe.decorators = [
        { type: core.Pipe, args: [{
                    name: 'safeUrl'
                },] }
    ];

    var UriSchemePipe = /** @class */ (function () {
        function UriSchemePipe() {
        }
        UriSchemePipe.prototype.transform = function (value) {
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            return null;
        };
        return UriSchemePipe;
    }());
    UriSchemePipe.decorators = [
        { type: core.Pipe, args: [{
                    name: 'uriScheme'
                },] }
    ];

    //#region Imports
    //#endregion
    var UrlModule = /** @class */ (function () {
        function UrlModule() {
        }
        return UrlModule;
    }());
    UrlModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [common.CommonModule],
                    declarations: [
                        SafeUrlPipe,
                        UriSchemePipe
                    ],
                    exports: [
                        SafeUrlPipe,
                        UriSchemePipe
                    ]
                },] }
    ];

    /*
     * Public API Surface of ngx-lib
     */

    /**
     * Generated bundle index. Do not edit.
     */

    Object.keys(authentication_service_config).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return authentication_service_config[k];
            }
        });
    });
    Object.keys(authentication_service).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return authentication_service[k];
            }
        });
    });
    Object.keys(login_component).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return login_component[k];
            }
        });
    });
    Object.keys(loginForm_component).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return loginForm_component[k];
            }
        });
    });
    Object.keys(authenticationToken).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return authenticationToken[k];
            }
        });
    });
    Object.keys(confirmationDialog_component).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return confirmationDialog_component[k];
            }
        });
    });
    Object.keys(inputDialog_component).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return inputDialog_component[k];
            }
        });
    });
    Object.keys(messageDialog_component).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return messageDialog_component[k];
            }
        });
    });
    Object.keys(confirmationDialogMode_enum).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return confirmationDialogMode_enum[k];
            }
        });
    });
    Object.keys(email_service_config).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return email_service_config[k];
            }
        });
    });
    Object.keys(email_service).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return email_service[k];
            }
        });
    });
    Object.keys(email).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return email[k];
            }
        });
    });
    Object.keys(employee_service_config).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return employee_service_config[k];
            }
        });
    });
    Object.keys(employee_service).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return employee_service[k];
            }
        });
    });
    Object.keys(departments_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return departments_pipe[k];
            }
        });
    });
    Object.keys(employeeByDn_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return employeeByDn_pipe[k];
            }
        });
    });
    Object.keys(employeePhotoUrl_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return employeePhotoUrl_pipe[k];
            }
        });
    });
    Object.keys(employeesWithPropertyValue_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return employeesWithPropertyValue_pipe[k];
            }
        });
    });
    Object.keys(filterEmployees_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return filterEmployees_pipe[k];
            }
        });
    });
    Object.keys(isMemberOf_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return isMemberOf_pipe[k];
            }
        });
    });
    Object.keys(sortEmployees_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sortEmployees_pipe[k];
            }
        });
    });
    Object.keys(employee).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return employee[k];
            }
        });
    });
    Object.keys(upload_service_config).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return upload_service_config[k];
            }
        });
    });
    Object.keys(upload_service).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return upload_service[k];
            }
        });
    });
    Object.keys(uploadDialog_component).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return uploadDialog_component[k];
            }
        });
    });
    Object.keys(upload_component).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return upload_component[k];
            }
        });
    });
    Object.keys(databaseFileInfo).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return databaseFileInfo[k];
            }
        });
    });
    Object.keys(fileUploadRequest).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return fileUploadRequest[k];
            }
        });
    });
    Object.keys(filesystemFileInfo).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return filesystemFileInfo[k];
            }
        });
    });
    Object.keys(sharepoint_service_config).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepoint_service_config[k];
            }
        });
    });
    Object.keys(sharepoint_service).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepoint_service[k];
            }
        });
    });
    Object.keys(sharepointPhotoUrl_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointPhotoUrl_pipe[k];
            }
        });
    });
    Object.keys(sharepointUrl_pipe).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointUrl_pipe[k];
            }
        });
    });
    Object.keys(sharepointCalendarEvent).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointCalendarEvent[k];
            }
        });
    });
    Object.keys(sharepointCustomerVisit).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointCustomerVisit[k];
            }
        });
    });
    Object.keys(sharepointEmployeePicture).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointEmployeePicture[k];
            }
        });
    });
    Object.keys(sharepointList).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointList[k];
            }
        });
    });
    Object.keys(sharepointListItem).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointListItem[k];
            }
        });
    });
    Object.keys(sharepointPerson).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointPerson[k];
            }
        });
    });
    Object.keys(sharepointPicture).forEach(function (k) {
        if (k !== 'default') Object.defineProperty(exports, k, {
            enumerable: true,
            get: function () {
                return sharepointPicture[k];
            }
        });
    });
    Object.defineProperty(exports, 'DialogModule', {
        enumerable: true,
        get: function () {
            return authentication_service_config.DialogModule;
        }
    });
    Object.defineProperty(exports, 'EmailModule', {
        enumerable: true,
        get: function () {
            return authentication_service_config.EmailModule;
        }
    });
    Object.defineProperty(exports, 'EmployeeModule', {
        enumerable: true,
        get: function () {
            return authentication_service_config.EmployeeModule;
        }
    });
    Object.defineProperty(exports, 'SafeUrlPipe', {
        enumerable: true,
        get: function () {
            return authentication_service_config.SafeUrlPipe;
        }
    });
    Object.defineProperty(exports, 'SharePointModule', {
        enumerable: true,
        get: function () {
            return authentication_service_config.SharePointModule;
        }
    });
    Object.defineProperty(exports, 'UploadModule', {
        enumerable: true,
        get: function () {
            return authentication_service_config.UploadModule;
        }
    });
    Object.defineProperty(exports, 'UriSchemePipe', {
        enumerable: true,
        get: function () {
            return authentication_service_config.UriSchemePipe;
        }
    });
    Object.defineProperty(exports, 'UrlModule', {
        enumerable: true,
        get: function () {
            return authentication_service_config.UrlModule;
        }
    });
    exports.AuthenticationModule = AuthenticationModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=cleavelandprice-ngx-lib.umd.js.map
