import { ModuleWithProviders } from '@angular/core';
import { EmployeeServiceConfig } from '@employee/model/employee.service.config';
export * from '@employee/model/employee.service.config';
export * from '@employee/model/employee';
export * from '@employee/services/employee.service';
export * from '@employee/pipes/departments.pipe';
export * from '@employee/pipes/employee-by-dn.pipe';
export * from '@employee/pipes/employee-photo-url.pipe';
export * from '@employee/pipes/employees-with-property-value.pipe';
export * from '@employee/pipes/filter-employees.pipe';
export * from '@employee/pipes/is-member-of.pipe';
export * from '@employee/pipes/sort-employees.pipe';
export declare class EmployeeModule {
    static forRoot(employeeConfig: EmployeeServiceConfig): ModuleWithProviders<EmployeeModule>;
    constructor(parentModule: EmployeeModule);
}
