import { ModuleWithProviders } from '@angular/core';
import { SharePointServiceConfig } from '@sharepoint/model/sharepoint.service.config';
export * from '@sharepoint/model/sharepoint-calendar-event';
export * from '@sharepoint/model/sharepoint-customer-visit';
export * from '@sharepoint/model/sharepoint-employee-picture';
export * from '@sharepoint/model/sharepoint-list';
export * from '@sharepoint/model/sharepoint-list-item';
export * from '@sharepoint/model/sharepoint-person';
export * from '@sharepoint/model/sharepoint-picture';
export * from '@sharepoint/model/sharepoint.service.config';
export * from '@sharepoint/services/sharepoint.service';
export * from '@sharepoint/pipes/sharepoint-photo-url.pipe';
export * from '@sharepoint/pipes/sharepoint-url.pipe';
export declare class SharePointModule {
    static forRoot(sharePointConfig: SharePointServiceConfig): ModuleWithProviders<SharePointModule>;
    constructor(parentModule: SharePointModule);
}
