import { ModuleWithProviders } from '@angular/core';
import { AuthenticationServiceConfig } from '@authentication/model/authentication.service.config';
export * from '@authentication/model/authentication.service.config';
export * from '@authentication/model/authentication-token';
export * from '@authentication/services/authentication.service';
export * from '@authentication/components/login/login.component';
export * from '@authentication/components/login-form/login-form.component';
export declare class AuthenticationModule {
    static forRoot(authenticationConfig: AuthenticationServiceConfig): ModuleWithProviders<AuthenticationModule>;
    constructor(parentModule: AuthenticationModule);
}
